<?php
	//appel fichier internationalisation
	$registry = Yab_Loader::getInstance() -> getRegistry();
	$i18n = $registry -> get('i18n');
	$filter_no_html = new Yab_Filter_NoHtml();
?>

<!-- CSS pour les éléments multimédias -->
<link rel="stylesheet" href="<?php echo $request->getBaseUrl(); ?>/2.0/css/blueimp-gallery.min.css">

<h2 class="page-header">
	<?php echo $filter_no_html->filter( $i18n -> say('show_form')).' '.$filter_no_html->filter( $i18n -> say('fai')).' : '.
	$filter_no_html->filter($helper_form->getElement('identification')->get('value')) ; ?>
</h2>
<div class="table-detail panel-group" id="accordion" role="tablist" aria-multiselectable="true">
	<!-- Panel Detail - Start -->
	<div id="panel_detail" class="panel panel-primary">
	
		<div class="panel-heading" role="tab" id="headingDetail">
			<h4 class="panel-title">
				<span class="icon-address" aria-hidden="true"></span>&nbsp;
				<a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseDetail"
				   aria-expanded="true" aria-controls="collapseDetail">
					<?php echo $filter_no_html->filter( $i18n -> say('identification') );?>
				</a>
			</h4>
		</div>
		
		<div id="collapseDetail" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingDetail">
			<div class="panel-body">
				<table>	
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('sitefouille_id')->get('label');?>
						</th>
						<td> <?php echo $site_name;?> </td>
						<td></td>
					</tr>
					
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('identification')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('identification')->get('value');?></td>
						<td></td>
					</tr>
										
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('description')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('description')->get('value');?></td>
						<td></td>
					</tr>
										
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('typefai_id')->get('label');?>
						</th>
						<td><?php echo $categ_value;?></td>
						<td></td>
					</tr>
					
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $filter_no_html->filter( $i18n -> say('datation') ); ?>
						</th>
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $filter_no_html->filter( $i18n -> say('estimee') ); ?>
						</th>
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $filter_no_html->filter( $i18n -> say('certaine') ); ?>
						</th>
					</tr>
										
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('fin_fourc_hte_estim')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('fin_fourc_hte_estim')->get('value');?></td>
						<td><?php echo $helper_form->getElement('fin_fourc_hte_certain')->get('value');?></td>
					</tr>
					
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('fin_fourc_bas_estim')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('fin_fourc_bas_estim')->get('value');?></td>
						<td><?php echo $helper_form->getElement('fin_fourc_bas_certain')->get('value');?></td>
					</tr>	
					
					<tr class="tr-pair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('deb_fourc_hte_estim')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('deb_fourc_hte_estim')->get('value');?></td>
						<td><?php echo $helper_form->getElement('deb_fourc_hte_certain')->get('value');?></td>
					</tr>
					
					<tr class="tr-impair">
						<th class="col-lg-3 col-md-3 col-sm-6 col-xs-6">
							<?php echo $helper_form->getElement('deb_fourc_bas_estim')->get('label');?>
						</th>
						<td><?php echo $helper_form->getElement('deb_fourc_bas_estim')->get('value');?></td>
						<td><?php echo $helper_form->getElement('deb_fourc_bas_certain')->get('value');?></td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<!-- Panel Detail - End -->
	
	<!-- Panel Relations - Start -->
	<?php if((isset($associatfai_us) and !empty($associatfai_us)) or (isset($associatfai_fai) and !empty($associatfai_fai))){ ?>
		<div id="panel_relations" class="panel panel-primary">
			<div class="panel-heading" role="tab" id="headingRelations">
				<h4 class="panel-title">
					<span class="icon-time" aria-hidden="true"></span>&nbsp;
					<a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseRelations" aria-expanded="false" aria-controls="collapseRelations">
						<?php echo $filter_no_html->filter( $i18n -> say('relation') );?>
					</a>
				</h4>
			</div>
			
			<div id="collapseRelations" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingRelations">
				<div class="panel-body">
					<?php if(isset($associatfai_us) and !empty($associatfai_us)){ ?>
						<div class="panel-heading"><strong><?php echo $filter_no_html->filter( $i18n -> say('relation_fai_us_list') ); ?></strong></div>
						<div class="panel-body">
							<?php echo $this->getResponse('Fai_Us', 'ListFaiUs', array('layout' => false, 'fai_id' => $fai_id, 'v_action' => false) ); ?>
						</div>
					<?php } ?>
					
					<?php if(isset($associatfai_fai) and !empty($associatfai_fai)){ ?>
						<div class="panel-heading"><strong><?php echo $filter_no_html->filter( $i18n -> say('relation_fai_fai_list') ); ?></strong></div>
						<div class="panel-body">
							<?php echo $this->getResponse('Interfait', 'ListFaiFai', array('layout' => false, 'fai_id' => $fai_id, 'v_action' => false) ); ?>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	<?php } ?>
	<!-- Panel Relations - End -->
	
	<!-- Panel Multimedia - Start -->
	<?php 
	//Affichage images de l'arborescence multimédia	
	$arborescence = "../mediatheque/albums/".$codeorganisme."/fai/".$codesite."/".$codeidentification."/*.{jpg,jpeg,gif,png,PNG}";		
	$repertoire = "../mediatheque/albums/".$codeorganisme."/fai/".$codesite."/".$codeidentification."/";		
	$files = glob($arborescence, GLOB_BRACE);
	
	if(!empty($files)){  ?>
		<div id="panel_media" class="panel panel-primary">
			<div class="panel-heading" role="tab" id="headingMedia">
				<h4 class="panel-title">
					<span class="icon-time" aria-hidden="true"></span>&nbsp;
					<a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseMedia" aria-expanded="false" aria-controls="collapseMedia">
						<?php echo $filter_no_html->filter( $i18n -> say('multimedia') ); ?>
					</a>
				</h4>
			</div>
			
			<div id="collapseMedia" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingMedia">
				<div class="panel-body media-width">
					<div class="panel-body-media">
						<?php												
							foreach($files as $image)
							{ 
								$img_name = str_replace($repertoire,'',$image); ?> 
								<table class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
									<tr>
										<td class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
											<div id="gallery">
												<a href="<?php echo $request->getBaseUrl().'/'.$image ?>" style="text-decoration: none;" data-gallery>
													<img id="media-img" title="<?php echo $filter_no_html->filter( $i18n -> say('multimedia_img_title') ); ?>" src="<?php echo $request->getBaseUrl().'/'.$image ?>" alt="No media">
												</a>
											</div>
										</td>										
										<td class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
											<?php echo $img_name ?>
										</td>										
										<td class="col-lg-3 col-md-3 col-sm-3 col-xs-2">
											<?php echo Plugin_Fonctions::fileSizeConvert(filesize($image)); ?>
										</td>
									</tr>
								</table>

								<div id="blueimp-gallery" class="blueimp-gallery blueimp-gallery-controls">
									<div class="slides"></div>
									<h3 class="title"></h3>
									<a class="prev">‹</a>
									<a class="next">›</a>
									<a class="close">×</a>
									<a class="play-pause"></a>
									<ol class="indicator"></ol>
								</div>
								
						<?php } ?>
					</div>
				</div>
			</div>
		</div>
	<?php } ?>
	<!-- Panel Multimedia - End -->
	
</div>	

<div><a href="<?php echo $this->getRequest('Fai', 'index'); ?>" class="btn btn-default"><?php echo $filter_no_html->filter( $i18n -> say('back_form') ); ?></a></div>

<?php
  /**
   * Indispensable pour afficher le Layout, desactivé pour les appels des differentes actions
  */
  $this->getLayout()->setEnabled(true);
?>

<!-- JS pour les éléments multimédias -->
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/jquery.blueimp-gallery.min.js"></script>
